#!/usr/bin/perl
use strict;

my %alph;
$alph{"A"}=0; $alph{"M"}=10;
$alph{"C"}=1; $alph{"N"}=11;
$alph{"D"}=2; $alph{"P"}=12;
$alph{"E"}=3; $alph{"Q"}=13;
$alph{"F"}=4; $alph{"R"}=14;
$alph{"G"}=5; $alph{"S"}=15;
$alph{"H"}=6; $alph{"T"}=16;
$alph{"I"}=7; $alph{"V"}=17;
$alph{"K"}=8; $alph{"W"}=18;
$alph{"L"}=9; $alph{"Y"}=19;
my $file_in=$ARGV[0];
print "# seq ;A ;C ;D ;E ;F ;G ;H ;I ;K ;L ;M ;N ;P ;Q ;R ;S ;T ;V ;W ;Y \n";
open(IN,"$file_in");
my $header=<IN>; chomp($header);
while(my $l=<IN>)
{
  chomp($l);
  if($header!~/^>/){ print "Incorrect fasta header\n"; exit 1; }
  $header=substr($header,1);
  my @TMP=split(" ",$header);
  my $id=$TMP[0];
  my $seq=uc($l);
  my $len=length($l);
  my $done=0;
  while($done==0){
    if($l=<IN>){ chomp($l);
      if($l=~/^>/){ $header=$l; $done=1; }
      else{ $seq.=uc($l); $len+=length($l); } }
    else{ $done=1; } }
  my @counts; for(my $i=0;$i<20;$i++){ $counts[$i]=0; }
  my @SEQ=split("",$seq);
  foreach my $char (@SEQ){
    if($alph{"$char"} ne ""){
      $counts[$alph{"$char"}]++; } }
  print "$id;".join(";",@counts)."\n";
}
close(IN);

