#!/usr/bin/perl
use strict;

my %alph; $alph{"H"}=0;
$alph{"E"}=1; $alph{"C"}=2;
my $file_in=$ARGV[0];
print "# seq ;H ;E ;C \n";
open(IN,"$file_in");
my $header=<IN>; chomp($header);
while(my $l=<IN>)
{
  chomp($l);
  if($header!~/^>/){ print "Incorrect fasta header\n"; exit 1; }
  $header=substr($header,1);
  my @TMP=split(" ",$header);
  my $id=$TMP[0];
  my $seq=uc($l);
  my $len=length($l);
  my $done=0;
  while($done==0){
    if($l=<IN>){ chomp($l);
      if($l=~/^>/){ $header=$l; $done=1; }
      else{ $seq.=uc($l); $len+=length($l); } }
    else{ $done=1; } }
  my @counts; for(my $i=0;$i<3;$i++){ $counts[$i]=0; }
  my @SEQ=split("",$seq);
  foreach my $char (@SEQ){
    if($alph{"$char"} ne ""){
      $counts[$alph{"$char"}]++; } }
  print "$id;".join(";",@counts)."\n";
}
close(IN);

